GCLOUD_IAM_SERVICE-ACCOUNTS_CREATE(1)

NAME

gcloud iam service-accounts create - create a service account for a project

SYNOPSIS

gcloud iam service-accounts create NAME [--display-name=DISPLAY_NAME] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
This command creates a service account with the provided name. For subsequent commands regarding service accounts, this service account should be referred to by the email account in the response.

POSITIONAL ARGUMENTS

    NAME
        The internal name of the new service account. Used to generate an IAM_ACCOUNT (an IAM internal email address used as an identifier of service account), which must be passed to subsequent commands.

FLAGS

    --display-name=DISPLAY_NAME
        A textual name to display for the account.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To create a service account for your project, run:
    $ gcloud iam service-accounts create some-account-name \
        --display-name "My Service Account"
To work with this service account in subsequent IAM commands, use the email resulting from this call as the IAM_ACCOUNT argument.